<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_140"
        android:layout_marginLeft="14dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="12dp"
        android:background="@drawable/icon_income_top_bg">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="21dp"
            android:layout_marginTop="40dp"
            android:text="钱包余额(元)"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_15"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <TextView
            android:id="@+id/tv_balance"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="21dp"
            android:layout_marginBottom="40dp"
            android:text="1,230.00"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_30"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent" />

        <TextView
            android:id="@+id/tv_withdrawal"
            android:layout_width="@dimen/dp_80"
            android:layout_height="@dimen/dp_32"
            android:layout_marginTop="51dp"
            android:layout_marginRight="22dp"
            android:background="@drawable/bg_white_border"
            android:gravity="center"
            android:text="结算"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/tv_date"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_50"
            android:layout_marginLeft="14dp"
            android:drawableRight="@drawable/icon_arrow_down"
            android:gravity="center"
            android:text="2021年9月"
            android:textColor="@color/black_333"
            android:textSize="@dimen/sp_14" />

        <TextView
            android:id="@+id/tv_income_type"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_50"
            android:layout_marginLeft="145dp"
            android:drawableRight="@drawable/icon_arrow_down"
            android:gravity="center"
            android:text="全部收入"
            android:textColor="@color/black_333"
            android:textSize="@dimen/sp_14" />
    </RelativeLayout>


    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/refreshLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.scwang.smart.refresh.header.ClassicsHeader
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never"
            android:scrollbars="none" />
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

</LinearLayout>